"use client";
import { __exports as r } from "../../../../../_virtual/toFinite.js";
import { __require as f } from "./toNumber.js";
var n;
function c() {
  return n ? r : (n = 1, (function(t) {
    Object.defineProperty(t, Symbol.toStringTag, { value: "Module" });
    const e = /* @__PURE__ */ f();
    function o(i) {
      return i ? (i = e.toNumber(i), i === 1 / 0 || i === -1 / 0 ? (i < 0 ? -1 : 1) * Number.MAX_VALUE : i === i ? i : 0) : i === 0 ? i : 0;
    }
    t.toFinite = o;
  })(r), r);
}
export {
  c as __require
};
